%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-CGI-Compile
Version:       0.26
Release:       1mamba
Summary:       CGI::Compile - Compile .cgi scripts to a code reference like ModPerl::Registry
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/CGI/CGI-Compile-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-File-pushd
BuildRequires: perl-Sub-Name
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
CGI::Compile - Compile .cgi scripts to a code reference like ModPerl::Registry.

%prep
%setup -q -n CGI-Compile-%{version}

%build
perl Build.PL installdirs=vendor
./Build
#./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export PERL_INSTALL_ROOT=%{buildroot}
./Build install \
   --install_path bindoc="%{_mandir}/man1" \
   --install_path libdoc="%{_mandir}/man3"

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Mon Jul 31 2023 Automatic Build System <autodist@mambasoft.it> 0.26-1mamba
- automatic version update by autodist

* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 0.25-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 0.21-1mamba
- automatic update by autodist

* Thu Apr 02 2015 Automatic Build System <autodist@mambasoft.it> 0.19-1mamba
- automatic update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.18-1mamba
- package created using the webbuild interface
